Page MenuHomePhabricator

[mips] Enable IAS by default for 32-bit MIPS targets (O32).
ClosedPublic

Authored by dsanders on Apr 4 2016, 9:31 AM.

Details

Reviewers
vkalintiris
Summary

The MIPS IAS can now pass 'ninja check-all' and recurse now that the immediates
are all range checked properly.

Unfortunately we can't enable it by default for 64-bit targets yet since the N32
ABI is still very buggy and this also means we can't enable it for N64 either
because we can't distinguish between N32 and N64 in the relevant code.

Depends on D18753

Diff Detail

Event Timeline

dsanders updated this revision to Diff 52567.Apr 4 2016, 9:31 AM
dsanders retitled this revision from to [mips] Enable IAS by default for 32-bit MIPS targets (O32)..
dsanders updated this object.
dsanders added a reviewer: vkalintiris.
dsanders added a subscriber: cfe-commits.
vkalintiris accepted this revision.Apr 7 2016, 2:55 AM
vkalintiris edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Apr 7 2016, 2:55 AM
dsanders closed this revision.Jun 7 2016, 5:47 AM

This has already been committed. I'm not sure why it didn't auto-close.